lkml.org 
[lkml]   [1996]   [Sep]   [8]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: NE2000 Module Problem

You should load module using modprobe because module ne.o requaires 8390.o
Ofcourse you may doit yourself:
insmod 8390.o
insmod ne irq=... io=....

> insmod -v ne
> Section 1: (.text) at 0x8054a70
> Section 2: (.rel.text) at 0x8057010
> Section 3: (.data) at 0x805575c
> Section 4: (.rel.data) at 0x80573d8
> Section 5: (.bss) at 0x8056086
> Section 7: (.rodata) at 0x8055bc0
> Section 8: (.comment) at 0x8056074
> Section 9: (.shstrtab) at 0x8057478
> Section 10: (.symtab) at 0x80574d8
> Section 11: (.strtab) at 0x8057a08
> textseg = 0x8054a70
> bss_size = 6
> last byte = 0x805608c
> module size = 5660
> versioned kernel: yes
> versioned module: yes
> ELF kernel
> ELF module
> ei_debug: wrong version or undefined
> ei_interrupt: wrong version or undefined
> ethdev_init: wrong version or undefined
> NS8390_init: wrong version or undefined
> ei_open: wrong version or undefined
> ei_close: wrong version or undefined
> Loading failed!
> The module symbols (from linux-2.0.18) don't match your linux-2.0.18
> ========
>
> Note: "insmod -f ne" also fails.
>
> Any help appreciated.

Rafal



\
 
 \ /
  Last update: 2005-03-22 13:38    [W:0.108 / U:0.964 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site